import './assets/style.css';
import { jsx as i } from "react/jsx-runtime";
import { useRef as s, useEffect as c } from "react";
import "./transform-df96e507.js";
import "./UserOptions-bc89a97a.js";
import { ArVisualizationTypes as p } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import { g as l, s as n } from "./chartGenerators-7de4f29c.js";
import "./Resizable.js";
import { B as u } from "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const v = [
  { source: "Item 1", val: 1350, color: "#C9D6DF" },
  { source: "Item 2", val: 2500, color: "#F7EECF" },
  { source: "Item 3", val: 5700, color: "#E3E1B2" },
  { source: "Item 4", val: 3e4, color: "#F9CAC8" },
  { source: "Item 5", val: 47500, color: "#D1C2E0" }
], dr = (e) => {
  const { clickHandler: a, type: m, data: t, demo: B } = e, o = s(null);
  return c(() => {
    if (t && o.current) {
      switch (m) {
        case p.BUBBLE:
          l(v);
      }
      const r = o.current.getBBox();
      n("#ar-ArViz__chart-container").attr(
        "viewBox",
        `${r.x} ${r.y} ${r.width} ${r.height}`
      );
    }
  }, [o, t]), m === p.BUBBLE ? /* @__PURE__ */ i(u, { data: t, clickHandler: a }) : /* @__PURE__ */ i("div", { className: "ar-ArViz h-100 w-100 overflow-auto p-3", children: /* @__PURE__ */ i(
    "svg",
    {
      id: "ar-ArViz__chart-container",
      className: "h-100 w-100",
      ref: o,
      viewBox: ""
    }
  ) });
};
export {
  dr as default
};
