import './assets/style.css';
import { jsxs as m, jsx as o } from "react/jsx-runtime";
import { j as l } from "./UserOptions-bc89a97a.js";
import { ArThemes as d } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import h from "./utils/helper.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "react";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import b from "./Alert.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import u from "./Link.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import { v as f } from "./v4-333bbb31.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./Link.component-4ed993c7.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const wr = (p) => {
  const { applicationName: e, moreLink: s, theme: r } = p, c = "https://notabuck.com/armco-design-system/docs/devices", n = '"My Awesome App"', i = s || c, a = e || n;
  return /* @__PURE__ */ m("div", { className: "ar-BrowserIncompatibility p-3 flex-center flex-column", children: [
    /* @__PURE__ */ o(
      l,
      {
        icon: "vsc.VscRunErrors",
        size: "8rem",
        color: r && r === d.DARK1 ? "white" : "black",
        classes: "mb-3",
        theme: r
      }
    ),
    /* @__PURE__ */ m("h5", { className: "mb-3", children: [
      a,
      " can not run on this browser"
    ] }),
    /* @__PURE__ */ o("p", { className: "mb-2", children: "Supported browsers are Google Chrome v51+ & Microsoft's Edge v32+" }),
    /* @__PURE__ */ o("p", { children: "For More details you can also check the below link" }),
    /* @__PURE__ */ o(
      u,
      {
        to: i,
        label: i,
        classes: "ar-BrowserIncompatibility__help-link px-3 py-2",
        onClick: () => {
          var t;
          h.copyToClipboard(i), (t = window.top) == null || t.postMessage(
            {
              ar: {
                position: "bottom-left",
                type: "success",
                closeable: !0,
                message: "Link Copied!",
                show: !0
              }
            },
            "*"
          );
        },
        preemptNavigation: !0
      }
    ),
    /* @__PURE__ */ o(b, { message: "Link Copied!", uid: f() })
  ] });
};
export {
  wr as default
};
