import './assets/style.css';
import { jsx as t, jsxs as l } from "react/jsx-runtime";
import { useState as n, useEffect as y } from "react";
import { n as k, j as C } from "./UserOptions-bc89a97a.js";
import { ArPopoverPositions as D, ArPopoverSlots as c } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import d from "./utils/helper.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import g from "./Calendar.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
import "./MonthSelector.js";
import "./utils/dateHelper.js";
import "./JustCalendar.js";
import "./EventManager.js";
import "./EventForm-09a3f204.js";
import "./TextArea.js";
import "./MonthNavigator.js";
const At = (h) => {
  const { allowEventSetting: r, classes: i, id: u, label: p, onChange: m } = h, [o, f] = n(), [P, e] = n();
  y(() => {
    !r && o && e(!1);
  }, [o]);
  const a = u || "ar-DatePicker__input", v = (s) => {
    f(s), m && m(s);
  };
  return /* @__PURE__ */ t("div", { className: `ar-DatePicker${i ? " " + i : ""}`, children: /* @__PURE__ */ l(
    k,
    {
      contentClasses: "high-shadow",
      position: D.BOTTOMRIGHT,
      version: "v1",
      isOpen: P,
      children: [
        /* @__PURE__ */ l(
          "div",
          {
            className: "position-relative cursor-pointer",
            slot: c.ANCHOR,
            onClick: () => !r && e(!0),
            children: [
              p && /* @__PURE__ */ t("label", { className: "fw-bold me-3", htmlFor: a, children: p }),
              /* @__PURE__ */ t(
                "input",
                {
                  id: a,
                  className: "ar-DatePicker__input px-3 py-2",
                  type: "text",
                  placeholder: "dd/mm/yyyy",
                  value: o && d.pad(o.day) + "/" + d.pad(o.month + 1) + "/" + o.year
                }
              ),
              /* @__PURE__ */ t(
                C,
                {
                  classes: "position-absolute top-point5 end-point5",
                  icon: "fa.FaRegCalendarAlt"
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ t(
          g,
          {
            allowEventSetting: r,
            slot: c.POPOVER,
            onDateSelected: v,
            miniMode: !0,
            isSingleSelect: !0
          }
        )
      ]
    }
  ) });
};
export {
  At as default
};
