import './assets/style.css';
import { jsxs as u, jsx as l, Fragment as to } from "react/jsx-runtime";
import { useRef as eo, useState as d, useEffect as g } from "react";
import { h as a } from "./UserOptions-bc89a97a.js";
import { ArSizes as p, ArButtonVariants as f, ArDirections as j, ArSlotViewMode as y } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import ro from "./utils/domHelper.js";
import "./utils/adapters.js";
import s from "./utils/gridHelper.js";
import "./transform-df96e507.js";
import K from "./Resizable.js";
import R from "./Slot.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import io from "./hooks/useStateWithHistory.js";
import { v as lo } from "./v4-333bbb31.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const so = { rows: 5, columns: 5 }, me = ({
  classes: _,
  colWidths: G,
  demo: S,
  getGridTemplate: k,
  gridSpecs: N,
  gridTemplate: C,
  rowHeights: B,
  showControls: L,
  slotRenderer: I
}) => {
  const D = eo(null), [h, F] = d(), [M, V] = d(), [e, A] = d(), [r, n, E, v, W, $] = io(), [O, P] = d(), [q, z] = d(), [T, J] = d(), [b, Q] = d(), m = S ? N || so : N;
  g(() => {
    const o = ro.getDocumentElement(S), i = (t) => {
      var w;
      (w = D.current) != null && w.contains(t.target) && ((t.ctrlKey || t.metaKey) && t.key === "z" ? (t.preventDefault(), E()) : (t.ctrlKey || t.metaKey) && t.key === "y" && (t.preventDefault(), v()));
    };
    return o == null || o.addEventListener("keydown", i), () => {
      o == null || o.removeEventListener("keydown", i);
    };
  }, [E, v, S]), g(() => {
    if (C) {
      const { slotConfigs: o } = s.generateSlotConfigs(C);
      n(o);
    } else if (m != null && m.rows && (m != null && m.columns)) {
      const o = [];
      for (let i = 0; i < m.rows; i++)
        for (let t = 0; t < m.columns; t++) {
          const c = lo(), w = `ga-${c}`;
          o.push({
            slot: c,
            row: i,
            column: t,
            rowSpan: 1,
            colSpan: 1,
            gridArea: w
          });
        }
      n(o);
    }
  }, [m, C]), g(() => {
    if (r) {
      r.length !== O && (F(s.generateGridArea(r)), P(r.length));
      const { areAdjacent: o, ...i } = s.checkIfAdjacent(r);
      Q(i), J(r.filter((t) => t.isSelected).length >= 1), z(o);
    }
  }, [r, O]), g(() => {
    if (h) {
      const o = s.generateGridTemplate(
        h,
        B || "minmax(auto, 1fr)",
        G || "1fr"
      );
      V(o), k && k(o), L && A(s.generateGridToolbarSpecs(h));
    }
  }, [h, L]);
  const Y = (o) => {
    const i = [...r || []], t = r == null ? void 0 : r.find((c) => c.slot === o.slot);
    t && (t.isSelected = !t.isSelected), n(i, !0);
  }, H = (o) => {
    if (e) {
      const t = e.rowTools.slots.find((c) => c.slot === o.slot);
      t && (t.isSelected = !t.isSelected), A({ ...e }), r && n(
        s.selectCellsInSelectedRowCol(e, r),
        !0
      );
    }
  }, X = (o) => {
    if (e) {
      const t = e.colTools.slots.find(
        (c) => c.slot === o.slot
      );
      t && (t.isSelected = !t.isSelected), A({ ...e }), r && n(
        s.selectCellsInSelectedRowCol(e, r),
        !0
      );
    }
  }, Z = () => {
    r && e && n(s.removeHandler(r, e, "row"));
  }, oo = () => {
    r && e && n(s.removeHandler(r, e, "column"));
  }, x = e == null ? void 0 : e.rowTools.slots, U = e == null ? void 0 : e.colTools.slots;
  return /* @__PURE__ */ u(
    "div",
    {
      className: `ar-LayoutEditor h-100 w-100 d-flex flex-column overflow-auto${_ ? " " + _ : ""}${L ? "" : " hide-controls"}`,
      ref: D,
      children: [
        L && /* @__PURE__ */ u("div", { className: "ar-LayoutEditor__layout-tools border border-radius-l1 mb-2 p-1 d-flex justify-content-between", children: [
          /* @__PURE__ */ u("div", { className: "ar-LayoutEditor__layout-tools__primary flex-v-center", children: [
            /* @__PURE__ */ l(
              a,
              {
                containerClasses: "me-3",
                content: "Split Horizontal",
                demo: S,
                size: p.XSMALL,
                disabled: !T,
                onClick: () => {
                  r && s.splitHandler(n, r, "horizontal");
                }
              }
            ),
            /* @__PURE__ */ l(
              a,
              {
                containerClasses: "me-3",
                content: "Split Vertical",
                demo: S,
                size: p.XSMALL,
                disabled: !T,
                onClick: () => {
                  r && s.splitHandler(n, r, "vertical");
                }
              }
            ),
            /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Merge Selected",
                size: p.XSMALL,
                onClick: () => {
                  r && b && s.mergeHandler(n, r, b), z(!1);
                },
                disabled: !q
              }
            ),
            x && x.findIndex((o) => o.isSelected) > -1 && /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Delete Row",
                size: p.XSMALL,
                variant: f.DANGER,
                onClick: Z
              }
            ),
            U && U.findIndex((o) => o.isSelected) > -1 && /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Delete Column",
                size: p.XSMALL,
                variant: f.DANGER,
                onClick: oo
              }
            ),
            /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Insert Row",
                size: p.XSMALL,
                variant: f.SUCCESS,
                onClick: () => r && e && s.insertDimension(
                  "row",
                  e,
                  r,
                  n
                ),
                color: "white"
              }
            ),
            /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Insert Column",
                size: p.XSMALL,
                variant: f.SUCCESS,
                onClick: () => r && e && s.insertDimension(
                  "column",
                  e,
                  r,
                  n
                ),
                color: "white"
              }
            )
          ] }),
          /* @__PURE__ */ u("div", { className: "ar-LayoutEditor__layout-tools__secondary flex-v-center", children: [
            /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Undo",
                size: p.XSMALL,
                variant: f.INFO,
                preIcon: "io.IoIosUndo",
                color: "white",
                onClick: E,
                disabled: !W
              }
            ),
            /* @__PURE__ */ l(
              a,
              {
                classes: "me-3",
                content: "Redo",
                size: p.XSMALL,
                variant: f.INFO,
                postIcon: "io.IoIosRedo",
                color: "white",
                onClick: v,
                disabled: !$
              }
            )
          ] })
        ] }),
        /* @__PURE__ */ l("div", { className: "ar-LayoutEditor__canvas flex-1", children: r && /* @__PURE__ */ u("div", { className: "ar-LayoutEditor__grid-tools d-grid h-100", children: [
          L && /* @__PURE__ */ u(to, { children: [
            /* @__PURE__ */ l("div", { className: "ar-LayoutEditor__grid-tools__main border" }),
            /* @__PURE__ */ l(
              "div",
              {
                className: "ar-LayoutEditor__row-tools d-grid",
                style: {
                  gridTemplate: e == null ? void 0 : e.rowTools.gridTemplate
                },
                children: e == null ? void 0 : e.rowTools.slots.map(
                  (o, i, t) => i < t.length - 1 ? /* @__PURE__ */ l(
                    K,
                    {
                      componentName: "Slot",
                      directions: [j.SOUTH],
                      mode: y.ROWCONTROLLER,
                      config: o,
                      classes: "border h-100",
                      onClick: H,
                      isLast: i === t.length - 1,
                      style: { gridArea: o.gridArea }
                    },
                    "controller-" + o.slot
                  ) : /* @__PURE__ */ l(
                    R,
                    {
                      mode: y.ROWCONTROLLER,
                      config: o,
                      classes: "border h-100",
                      onClick: H,
                      isLast: i === t.length - 1
                    },
                    "controller-" + o.slot
                  )
                )
              }
            ),
            /* @__PURE__ */ l(
              "div",
              {
                className: "ar-LayoutEditor__col-tools d-grid",
                style: {
                  gridTemplate: e == null ? void 0 : e.colTools.gridTemplate
                },
                children: e == null ? void 0 : e.colTools.slots.map(
                  (o, i, t) => i < t.length - 1 ? /* @__PURE__ */ l(
                    K,
                    {
                      componentName: "Slot",
                      directions: [j.EAST],
                      mode: y.COLCONTROLLER,
                      config: o,
                      classes: "border h-100",
                      onClick: X,
                      isLast: i === t.length - 1,
                      style: { gridArea: o.gridArea }
                    },
                    "controller-" + o.slot
                  ) : /* @__PURE__ */ l(
                    R,
                    {
                      mode: y.COLCONTROLLER,
                      config: o,
                      classes: "border h-100",
                      onClick: X,
                      isLast: i === t.length - 1
                    },
                    "controller-" + o.slot
                  )
                )
              }
            )
          ] }),
          /* @__PURE__ */ l(
            "div",
            {
              className: "ar-LayoutEditor__grid d-grid",
              style: M ? { gridTemplate: M } : {},
              children: r.map((o) => {
                const i = {
                  key: o.slot,
                  classes: "border",
                  config: o,
                  mode: y.BUILD,
                  onClick: Y
                };
                return I ? I(i) : /* @__PURE__ */ l(R, { ...i });
              })
            }
          )
        ] }) })
      ]
    }
  );
};
export {
  me as default
};
