import './assets/style.css';
import { jsx as C, jsxs as D, Fragment as b } from "react/jsx-runtime";
import { Children as W, cloneElement as B } from "react";
import "./UserOptions-bc89a97a.js";
import { ArWebPageLayout as e, ArLayoutSlots as l } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import { WebPageLayout as V } from "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import _ from "./hooks/useSlotted.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const q = (i) => Array(i).fill(null).map((r, t) => /* @__PURE__ */ C("div", {}, t)), T = (i, r, t, c, p) => i ? (t == null || t.splice(t.indexOf(i), 1), B(i, {
  className: p ? `border border-radius l2 m-05 p-1 ${i.props.className || ""}${r === l.HEADER || r === l.FOOTER ? " mih-2" : ""}${r === l.DRAWER || r === l.SIDEPANEL ? " miw-2" : ""}` : i.props.className,
  style: c,
  slot: r
})) : null, J = (i) => {
  const {
    children: r,
    demo: t,
    drawerLevel: c,
    hasDrawer: p,
    hasFooter: s,
    hasHeader: d,
    hasSidepanel: n,
    sidepanelLevel: v
  } = i, o = {
    header: null,
    footer: null,
    drawer: null,
    sidepanel: null
  };
  W.forEach(r, (a) => {
    var w;
    (w = a == null ? void 0 : a.props) != null && w.slot && (o[a.props.slot] = a);
  }), !o.header && d && (o.header = r[0]), !o.footer && s && (o.footer = r[r.length - 1]), !o.drawer && p && (o.drawer = r[1]), !o.sidepanel && n && (o.sidepanel = r[r.length - 2]);
  let L = !1, u = !1;
  return (d || s) && (L = !0), (p || n) && (u = !0), o.header = T(
    o.header,
    l.HEADER,
    r,
    { gridColumn: "1 / -1", gridRow: "1" },
    t
  ), o.footer = T(
    o.footer,
    l.FOOTER,
    r,
    { gridColumn: "1 / -1", gridRow: "-1" },
    t
  ), o.drawer = T(
    o.drawer,
    l.DRAWER,
    r,
    { gridColumn: "1", gridRow: "1 / -1" },
    t
  ), o.sidepanel = T(
    o.sidepanel,
    l.SIDEPANEL,
    r,
    { gridColumn: "-1", gridRow: "1 / -1" },
    t
  ), {
    header: o.header,
    footer: o.footer,
    drawer: o.drawer,
    sidepanel: o.sidepanel,
    hasContainerGrid: L,
    hasSecondaryGrid: u
  };
}, qo = ({
  classes: i,
  demo: r,
  demoChildCount: t = 6,
  cardSize: c,
  children: p,
  hasHeader: s,
  hasFooter: d,
  hasDrawer: n,
  isFooterFixed: v,
  drawerLevel: o,
  sidepanelLevel: L,
  hasSidepanel: u,
  gridSize: a,
  selectable: w,
  variant: f,
  ...K
}) => {
  _("LayoutGenerator");
  let g = +t;
  s && (g += 1), d && (g += 1), n && (g += 1), u && (g += 1);
  const j = q(g), F = p && (Array.isArray(p) ? p : [p]), k = [
    ...(r ? F || j : F) || []
  ], E = {
    ...V[f || e.FULL],
    ...K
  };
  let S = s ? "auto " : "";
  S += "1fr ", S += d ? "auto" : "";
  let y = n ? "auto " : "";
  y += "1fr ", y += u ? "auto " : "";
  const {
    header: H,
    footer: I,
    drawer: P,
    sidepanel: U,
    hasContainerGrid: G,
    hasSecondaryGrid: A
  } = J({
    children: k,
    demo: r,
    drawerLevel: o,
    hasHeader: s,
    hasFooter: d,
    hasDrawer: n,
    hasSidepanel: u,
    sidepanelLevel: L
  });
  f === e.GRID && a && (E.gridTemplateColumns = `repeat(auto-fill, minmax(${a}, 1fr))`), f === e.CARD && c && (E.gridTemplateColumns = `repeat(auto-fill, minmax(${c}, 1fr))`);
  const N = W.map(k, ($, m) => {
    let O, h, R;
    switch (f) {
      case e.HEROLINEARCONTENTBLOCKS:
        R = { gridColumn: "2" };
        break;
      case e.HEROSTAGGEREDARCONTENTBLOCKS:
        O = m % 4 === 0 || m % 4 === 2 ? 2 : m % 4 === 1 ? 5 : 4, h = m % 4 === 0 ? 5 : m % 4 === 2 ? 4 : 7, R = { gridColumn: `${O} / ${h}` };
        break;
      case e.HEROSTAGGEREDREVERSEDARCONTENTBLOCKS:
        O = m % 4 === 0 || m % 4 === 2 ? 2 : m % 4 === 1 ? 4 : 5, h = m % 4 === 0 ? 4 : m % 4 === 2 ? 5 : 7, R = { gridColumn: `${O} / ${h}` };
        break;
      case e.FULL:
      default:
        R = {};
    }
    return $ && B($, {
      className: r ? `border ${H || I || f !== e.FULL && f !== e.CAROUSEL ? "border-radius l2 m-05 p-1" : ""} ${$.props.className || ""}` : $.props.className,
      style: R
    });
  });
  return /* @__PURE__ */ C(
    "div",
    {
      className: `ar-LayoutGenerator d-grid overflow-auto${w ? "" : " h-100 w-100"}${G ? " header-main-footer-layout" : ""}${r ? " bg" : ""}${i ? " " + i : ""}`,
      style: G ? { gridTemplateRows: S } : A ? { gridTemplateColumns: y } : E,
      children: G ? /* @__PURE__ */ D(b, { children: [
        H,
        /* @__PURE__ */ C(
          "div",
          {
            className: `d-grid ${v ? " overflow-auto" : ""}`,
            style: A ? { gridTemplateColumns: y } : E,
            children: A ? /* @__PURE__ */ D(b, { children: [
              P,
              /* @__PURE__ */ C("div", { className: "d-grid overflow-auto", style: E, children: N }),
              U
            ] }) : N
          }
        ),
        I
      ] }) : A ? /* @__PURE__ */ D(b, { children: [
        P,
        /* @__PURE__ */ C("div", { className: "d-grid", style: E, children: N }),
        U
      ] }) : N
    }
  );
};
export {
  qo as default
};
