import './assets/style.css';
import { jsx as o, jsxs as A, Fragment as w } from "react/jsx-runtime";
import { useState as f, useEffect as D } from "react";
import { o as I, L as T, h } from "./UserOptions-bc89a97a.js";
import { ArSizes as B, ArButtonVariants as d } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import z from "./LayoutGenerator.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import M from "./Widget.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const j = ({ onChange: m }) => /* @__PURE__ */ A("div", { className: "ar-TSControlPanel flex-center flex-column mx-2", children: [
  /* @__PURE__ */ o(
    h,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleDoubleRight",
      content: "",
      variant: d.SECONDARY,
      onClick: () => m && m("all-right")
    }
  ),
  /* @__PURE__ */ o(
    h,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleRight",
      content: "",
      variant: d.SECONDARY,
      onClick: () => m && m("right")
    }
  ),
  /* @__PURE__ */ o(
    h,
    {
      classes: "mb-3",
      postIcon: "fa.FaAngleLeft",
      content: "",
      variant: d.SECONDARY,
      onClick: () => m && m("left")
    }
  ),
  /* @__PURE__ */ o(
    h,
    {
      postIcon: "fa.FaAngleDoubleLeft",
      content: "",
      variant: d.SECONDARY,
      onClick: () => m && m("all-left")
    }
  )
] }), jr = (m) => {
  const {
    demo: b,
    hasSearch: C,
    leftHeader: O,
    rightHeader: P,
    leftList: u,
    rightList: g,
    onChange: k
  } = m, [p, F] = f([]), [a, N] = f(
    []
  ), [n, R] = f([]), [l, v] = f([]), [y, L] = f([]), [S, x] = f([]);
  D(() => {
    F(u), L(u);
  }, [u]), D(() => {
    N(g || []), x(g || []);
  }, [g]);
  const Y = (t) => {
    let r = p, e = a;
    switch (t) {
      case "all-left":
        (a == null ? void 0 : a.length) > 0 && (r = [...p, ...a], e = []);
        break;
      case "all-right":
        (p == null ? void 0 : p.length) > 0 && (e = [...p, ...a], r = []);
        break;
      case "left":
        l && l.length > 0 && (r = [...p, ...l], e = [...a], l == null || l.forEach((i) => {
          if (!Array.isArray(i)) {
            const c = e.findIndex(
              (s) => !Array.isArray(s) && s.name === i.name
            );
            e.splice(c, 1);
          }
        }));
        break;
      case "right":
        n && n.length > 0 && (e = [...a, ...n], r = [...p], n == null || n.forEach((i) => {
          if (!Array.isArray(i)) {
            const c = r.findIndex(
              (s) => !Array.isArray(s) && s.name === i.name
            );
            r.splice(c, 1);
          }
        }));
        break;
      default:
        return;
    }
    R([]), v([]), e = e.map((i) => (!Array.isArray(i) && (i.isSelected = !1), i)), r = r.map((i) => (!Array.isArray(i) && (i.isSelected = !1), i)), N(e), x(e), F(r), L(r), k && k(r, e);
  }, E = (t, r) => {
    const e = t === "left" ? R : v, i = [...t === "left" ? n : l];
    if (!Array.isArray(r)) {
      const c = i == null ? void 0 : i.findIndex(
        (s) => !Array.isArray(s) && s.name === r.name
      );
      c > -1 ? i.splice(c, 1) : i.push(r), e(i);
    }
  };
  return /* @__PURE__ */ o("div", { className: "ar-TransferShuttle h-100 w-100", children: /* @__PURE__ */ A(z, { gridTemplateColumns: "10fr 1fr 10fr", children: [
    /* @__PURE__ */ o(
      M,
      {
        header: O || "Source List",
        content: /* @__PURE__ */ A(w, { children: [
          C && /* @__PURE__ */ o(
            I,
            {
              classes: "mb-2",
              size: B.SMALL,
              items: p.map((t) => (Array.isArray(t) || (t.label = t.label || t.name), t)),
              onChange: (t, r) => L(r),
              hidePopup: !0
            }
          ),
          y && y.length > 0 ? /* @__PURE__ */ o(
            T,
            {
              data: y.map((t) => (!Array.isArray(t) && (t.onClick = (r) => E("left", r)), t)),
              demo: b,
              isMultiSelect: !0,
              showCheckBoxes: !0
            }
          ) : /* @__PURE__ */ o("div", { className: "flex-center flex-1 fst-italic", children: "Nothing here!" })
        ] })
      }
    ),
    /* @__PURE__ */ o(j, { onChange: Y }),
    /* @__PURE__ */ o(
      M,
      {
        header: P || "Target List",
        content: /* @__PURE__ */ A(w, { children: [
          C && /* @__PURE__ */ o(
            I,
            {
              classes: "mb-2",
              size: B.SMALL,
              items: a.map((t) => (Array.isArray(t) || (t.label = t.label || t.name), t)),
              onChange: (t, r) => x(r),
              hidePopup: !0
            }
          ),
          S && S.length > 0 ? /* @__PURE__ */ o(
            T,
            {
              data: S.map((t) => (!Array.isArray(t) && (t.onClick = (r) => E("right", r)), t)),
              demo: b,
              isMultiSelect: !0,
              showCheckBoxes: !0
            }
          ) : /* @__PURE__ */ o("div", { className: "flex-center flex-1 fst-italic", children: "Nothing here!" })
        ] })
      }
    )
  ] }) });
};
export {
  jr as default
};
