import './assets/style.css';
import { jsx as r, jsxs as b } from "react/jsx-runtime";
import { useState as C, useEffect as y } from "react";
import { h as u } from "./UserOptions-bc89a97a.js";
import { ArButtonVariants as S, ArWizardNavigationTypes as k } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import B from "./Wizard.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import E from "./Modal.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const P = [
  {
    id: "1",
    title: "Stage 1",
    content: /* @__PURE__ */ r("div", { className: "", style: { height: "70vh" }, children: "Stage 1 Content" })
  },
  {
    id: "2",
    title: "Stage 2",
    content: "Stage 2 Content"
  },
  {
    id: "3",
    title: "Stage 3",
    content: "Stage 3 Content"
  }
], jo = (A) => {
  const {
    activeStage: p,
    classes: R,
    demo: s,
    hideStatusBar: N,
    navigationType: z,
    onComplete: c,
    onCancel: d,
    onStageChange: l,
    stages: g,
    title: M,
    ...e
  } = A, w = {
    activeStage: p,
    classes: R,
    demo: s,
    hideStatusBar: N,
    navigationType: z,
    onComplete: c,
    onCancel: d,
    onStageChange: l,
    stages: g,
    title: M
  }, [t, I] = C([]), [i, n] = C(), a = s ? g || P : g, [L, x] = C();
  y(() => {
    x(e.show);
  }, [e.show]), y(() => {
    if (a) {
      const o = [...a];
      if (o.map((m, v) => m.index = v), I(o), p) {
        const m = o == null ? void 0 : o.find(
          (v) => v.index === p
        );
        m && n(m.index);
      } else
        n(0);
    }
  }, [p, a]);
  const f = (o) => {
    if (t) {
      o = typeof o == "number" ? o : o.index;
      const m = t[o];
      n(o), l && l(m, t[i || 0]);
    }
  }, h = () => {
    n(void 0), x(!1), d && d();
  }, W = /* @__PURE__ */ r("footer", { className: "ar-Wizard__footer px-3 py-2 flex-v-center bg border-top", children: /* @__PURE__ */ b("div", { className: "d-flex justify-content-end w-100", children: [
    /* @__PURE__ */ r(
      u,
      {
        classes: "me-3",
        variant: S.TERTIARY,
        content: "Cancel",
        onClick: h
      }
    ),
    i !== void 0 && i > 0 && /* @__PURE__ */ r(
      u,
      {
        classes: "me-3",
        variant: S.PRIMARY,
        content: "Previous",
        preIcon: "ti.TiChevronLeft",
        onClick: () => f(i - 1)
      }
    ),
    /* @__PURE__ */ r(
      u,
      {
        variant: S.PRIMARY,
        content: i === (t == null ? void 0 : t.length) - 1 ? "Done" : "Next",
        postIcon: i === (t == null ? void 0 : t.length) - 1 ? "fa.FaCheck" : "ti.TiChevronRight",
        onClick: () => i === (t == null ? void 0 : t.length) - 1 ? c && c(t) : f((i || 0) + 1)
      }
    )
  ] }) });
  return /* @__PURE__ */ r("div", { className: "ar-WizardModal", children: /* @__PURE__ */ r(
    E,
    {
      ...e,
      demo: s,
      show: L,
      closeHandler: e.closeHandler || h,
      body: /* @__PURE__ */ r(
        B,
        {
          ...w,
          activeStage: i,
          onStageChange: f,
          onCancel: h,
          stages: a,
          navigationType: k.EXTERNAL,
          hideStatusBar: !0
        }
      ),
      footer: W
    }
  ) });
};
export {
  jo as default
};
