import './assets/style.css';
import { jsxs as a, jsx as r } from "react/jsx-runtime";
import { useState as e, useEffect as S } from "react";
import "./UserOptions-bc89a97a.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import { C as w } from "./img_colormap-6da39a28.js";
import y from "./config/ColorPicker.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import C from "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import l from "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./types/enums.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const Ir = (b) => {
  const { demo: x, displaySample: f, id: t, onColorSelect: s, title: n } = b, [c, d] = e(), [i, h] = e(), [m, u] = e(), [p, v] = e();
  S(() => {
    if (i !== void 0 && m !== void 0 && p !== void 0) {
      const o = C.hslToHex(i, m, p);
      d(o), s && s(o);
    }
  }, [i, m, p]);
  const g = () => i !== void 0 && m !== void 0 && p !== void 0 ? "hsl(" + Math.round(i * 255) + ", " + Math.round(m * 100) + "%, " + Math.round(p * 100) + "%)" : "";
  return /* @__PURE__ */ a("div", { className: "ar-AdvancedColorPicker mb-4", children: [
    n && /* @__PURE__ */ r("strong", { className: "border-bottom mb-3 d-flex pb-2", children: n }),
    /* @__PURE__ */ r(
      "img",
      {
        className: "flex-h-center",
        src: w,
        useMap: `#colormap-${t}`,
        alt: `colormap-${t}`
      }
    ),
    /* @__PURE__ */ r("map", { id: `colormap-${t}`, name: `colormap-${t}`, children: y.map((o, N) => /* @__PURE__ */ r(
      "area",
      {
        className: "cursor-pointer",
        shape: "poly",
        coords: o.coord,
        onClick: () => {
          d(o.color);
          const [M, k, H] = C.hexToHsl(o.color, !0);
          h(M), u(k), v(H);
        },
        alt: o.color
      },
      t + "-area-item-" + N
    )) }),
    f && c && /* @__PURE__ */ a("div", { className: "my-4 row", children: [
      /* @__PURE__ */ r(
        "div",
        {
          className: "col-12 mb-3",
          style: { backgroundColor: g(), height: "1rem" },
          title: "Sample"
        }
      ),
      /* @__PURE__ */ r("strong", { className: "col-12", children: g() })
    ] }),
    /* @__PURE__ */ a("div", { className: "ar-AdvancedColorPicker__hsl-editor mt-4 mb-2", children: [
      /* @__PURE__ */ r(
        l,
        {
          label: "Hue",
          min: 0,
          max: 255,
          onChange: (o) => h(parseInt(o.target.value) / 255),
          withManual: !0
        }
      ),
      /* @__PURE__ */ r(
        l,
        {
          label: "Saturation",
          min: 0,
          max: 100,
          onChange: (o) => u(parseInt(o.target.value) / 100),
          withManual: !0
        }
      ),
      /* @__PURE__ */ r(
        l,
        {
          label: "Lightness",
          min: 0,
          max: 100,
          onChange: (o) => v(parseInt(o.target.value) / 100),
          withManual: !0
        }
      )
    ] }),
    x && /* @__PURE__ */ r(
      "div",
      {
        className: "ar-AdvancedColorPicker__demo",
        style: { width: "5rem", height: "2rem", backgroundColor: c }
      }
    )
  ] });
};
export {
  Ir as default
};
