import { jsx as r, jsxs as u, Fragment as F } from "react/jsx-runtime";
import { useState as B } from "react";
import { j, p as q, u as J, v as I, r as P, h as R } from "./UserOptions-bc89a97a.js";
import { ArEventStates as T, ArSizes as p, ArEventTypes as U, ArButtonVariants as X } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import { toDate as c } from "./utils/dateHelper.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import G from "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import _ from "./TextArea.js";
const $ = /* @__PURE__ */ u("div", { className: "ar-EventManager__no-events fw-bold flex-center h-100 flex-column", children: [
  /* @__PURE__ */ r("span", { children: "No events on this date yet." }),
  /* @__PURE__ */ r("span", { children: "Use the form on the left to select type and add an event." })
] }), H = ({
  classes: m,
  event: i,
  selectedEventType: l
}) => {
  var h, b, g, t, d, s;
  const o = i && /* @__PURE__ */ r("span", { children: i.title }), e = ((h = i == null ? void 0 : i.schedule) == null ? void 0 : h.starts) && /* @__PURE__ */ u("span", { children: [
    ". Starts:",
    " ",
    (b = i.schedule.starts) == null ? void 0 : b.toLocaleString("en-US", {
      year: "numeric",
      month: "short",
      day: "2-digit",
      hour: "2-digit",
      minute: "2-digit",
      hour12: !0
    })
  ] }), M = ((g = i == null ? void 0 : i.schedule) == null ? void 0 : g.ends) && /* @__PURE__ */ u("span", { children: [
    ", Ends:",
    " ",
    (t = i.schedule.ends) == null ? void 0 : t.toLocaleString("en-US", {
      year: "numeric",
      month: "short",
      day: "2-digit",
      hour: "2-digit",
      minute: "2-digit",
      hour12: !0
    })
  ] });
  let a = i != null && i.title ? /* @__PURE__ */ u(F, { children: [
    o,
    ((d = i.schedule) == null ? void 0 : d.starts) && /* @__PURE__ */ u(F, { children: [
      e,
      ((s = i.schedule) == null ? void 0 : s.ends) && M
    ] })
  ] }) : null;
  return i != null && i.eventType && (a = l != null && l.icon ? /* @__PURE__ */ u("span", { children: [
    /* @__PURE__ */ r(j, { classes: "me-2", icon: l.icon }),
    a
  ] }) : a), /* @__PURE__ */ r(
    "span",
    {
      className: `ar-EventListItem small d-inline-block fw-bold${m ? " " + m : ""}`,
      children: a
    }
  );
}, Be = (m) => {
  const { events: i } = m;
  return /* @__PURE__ */ r("div", { className: "ar-EventList flex-grow-1 p-3", children: i && i.length > 0 ? /* @__PURE__ */ r("ul", { className: "list-unstyled", children: i.map((l) => /* @__PURE__ */ r("li", { children: /* @__PURE__ */ r(
    H,
    {
      event: l,
      selectedEventType: C.find(
        (o) => o.name === l.eventType
      )
    }
  ) })) }) : $ });
}, K = [
  {
    name: "15min",
    label: "15 minutes",
    value: "15min",
    data: { minutes: 15 }
  },
  {
    name: "30min",
    label: "30 minutes",
    value: "30min",
    data: { minutes: 30 }
  },
  {
    name: "45min",
    label: "45 minutes",
    value: "45min",
    data: { minutes: 45 }
  },
  {
    name: "1hour",
    label: "1 hour",
    value: "1hour",
    data: { hours: 1 }
  },
  {
    name: "2hours",
    label: "2 hours",
    value: "2hours",
    data: { hours: 2 }
  },
  { name: "custom", label: "Custom", value: "custom" }
], C = [
  { name: "task", label: "Task", icon: "md.MdAddTask" },
  {
    name: "event",
    label: "Event",
    icon: "md.MdOutlineEventAvailable"
  },
  {
    name: "birthday",
    label: "Birthday",
    icon: "fa.FaBirthdayCake"
  },
  {
    name: "meeting",
    label: "Meeting",
    icon: "md.MdOutlineMeetingRoom"
  }
], V = (m) => m && m.eventType && m.title && m.schedule && m.schedule.starts && m.schedule.ends, je = (m) => {
  var h, b, g;
  const { miniMode: i, onSubmit: l, selectedDate: o } = m, [e, M] = B({
    title: "",
    state: T.DRAFT,
    schedule: {}
  }), a = (t, d) => {
    var E, x, N, W;
    const s = { ...e };
    if (t === "isWholeDay" || t === "starts" || t === "ends" ? s.schedule || (s.schedule = {}) : t !== "duration" && (s[t] = d), t === "isWholeDay" && s.schedule && (s.schedule.isWholeDay = d, d && (s.schedule.starts = c(o), s.schedule.ends = c({
      ...o,
      day: o.day + 1
    }))), (t === "starts" || t === "ends") && s.schedule) {
      const n = d.raw;
      let f;
      try {
        f = n && n.hour && c(
          o,
          +(n.hour || 0),
          +(n.minute || 0),
          n.ampm
        );
      } catch {
        console.warn("Failed attempt to convert string to number");
      }
      f && (s.schedule[t] = f);
    }
    if (t === "eventType" && d === "birthday" && (s.schedule || (s.schedule = {}), s.schedule.isWholeDay = !0, s.schedule.starts = c(o), s.schedule.ends = c({
      ...o,
      day: o.day + 1
    })), t === "duration" && s.schedule) {
      const n = (E = d.data) == null ? void 0 : E.data, f = (x = s.schedule.starts) == null ? void 0 : x.getHours(), S = (N = s.schedule.starts) == null ? void 0 : N.getMinutes(), O = (W = s.schedule.starts) == null ? void 0 : W.toLocaleString("en-US", { hour12: !0 }).split(" ")[1], L = n == null ? void 0 : n.hours, A = n == null ? void 0 : n.minutes;
      let y = f, w = S, D = O, z = !1;
      A && S && S + A > 59 && (w = S + A - 60, y += 1), L && y + L >= 12 && (y = y + L - 12, D === "PM" && (z = !0), D = D === "AM" ? "PM" : "AM"), s.schedule.ends = c(
        z ? { ...o, day: o.day + 1 } : o,
        y,
        w
      );
    }
    M(s);
  };
  return /* @__PURE__ */ u(
    "div",
    {
      className: `ar-EventForm p-2 mb-3 overflow-auto ${i ? "w-100" : "border-right"}`,
      children: [
        /* @__PURE__ */ r(
          q,
          {
            classes: "mb-3",
            segments: C,
            onChange: (t) => {
              a("eventType", t.name);
            }
          }
        ),
        /* @__PURE__ */ r(
          J,
          {
            classes: "mb-3",
            label: "Title",
            size: p.SMALL,
            onChange: (t) => a("title", t.target.value),
            required: !0
          }
        ),
        /* @__PURE__ */ r(
          _,
          {
            classes: "mb-3",
            label: "Details",
            size: p.SMALL,
            onChange: (t) => a("description", t.target.value)
          }
        ),
        /* @__PURE__ */ r(
          G,
          {
            classes: "mb-3",
            label: "Whole Day?",
            onChange: (t) => a("isWholeDay", t),
            size: p.SMALL,
            isOn: (h = e == null ? void 0 : e.schedule) == null ? void 0 : h.isWholeDay,
            hideStatus: !0
          }
        ),
        /* @__PURE__ */ r(
          I,
          {
            classes: "mb-3",
            label: "Starts",
            size: p.SMALL,
            isDisabled: (b = e == null ? void 0 : e.schedule) == null ? void 0 : b.isWholeDay,
            onChange: (t) => a("starts", t),
            required: !0
          }
        ),
        (e == null ? void 0 : e.eventType) && (e == null ? void 0 : e.eventType) !== U.MEETING && /* @__PURE__ */ r(
          I,
          {
            classes: "mb-4",
            label: "Ends",
            size: p.SMALL,
            isDisabled: (g = e == null ? void 0 : e.schedule) == null ? void 0 : g.isWholeDay,
            onChange: (t) => a("ends", t),
            required: !0
          }
        ),
        (e == null ? void 0 : e.eventType) === U.MEETING && /* @__PURE__ */ r(
          P,
          {
            classes: "mb-3",
            options: K,
            onSelectionChanged: (t) => a("duration", t),
            size: p.SMALL,
            isDisabled: !e.schedule || !e.schedule.starts
          }
        ),
        /* @__PURE__ */ r(
          H,
          {
            classes: "mb-4",
            event: e,
            selectedEventType: C.find(
              (t) => t.name === e.eventType
            )
          }
        ),
        /* @__PURE__ */ r(
          R,
          {
            size: p.SMALL,
            content: "OK",
            variant: X.SUCCESS,
            onClick: () => {
              e && V(e) && (e.state = T.SCHEDULED, l && l(e), M({
                title: "",
                state: T.DRAFT,
                schedule: {}
              }));
            }
          }
        )
      ]
    }
  );
};
export {
  je as E,
  Be as a,
  H as b,
  C as s
};
