import './assets/style.css';
import { jsx as t, jsxs as s } from "react/jsx-runtime";
import { useState as x, useEffect as A } from "react";
import { useNavigate as y } from "react-router-dom";
import { j as c, n as B } from "./UserOptions-bc89a97a.js";
import { ArIconTileTypes as a, ArThemes as H, ArPopoverSlots as b, ArPopoverPositions as R } from "./types/enums.js";
import "./contexts/slotterContext.js";
import { useAppSelector as j } from "./hooks.js";
import { getCurrentTheme as E } from "./store.js";
import "./config/components.js";
import { ICON_ROOT as M } from "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "react-redux";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const Er = (I) => {
  const {
    classes: d,
    fillColor: $,
    hideBorder: g,
    hideFooter: C,
    icon: o,
    iconSize: S,
    onClick: f,
    selectable: r,
    strokeColor: P,
    strokeWidth: N,
    tools: h,
    toolsPlacement: T,
    type: i
  } = I, [p, u] = x(), [e, n] = x(), O = j(E), w = y();
  A(() => {
    !r && e && n(!1);
  }, [r]);
  const v = (l) => l.map((m, L) => {
    const k = /* @__PURE__ */ t(
      c,
      {
        slot: b.ANCHOR,
        ...m.iconProps,
        onClick: m.onClick
      }
    );
    return /* @__PURE__ */ t(
      "span",
      {
        className: "ar-ToolItem flex-center",
        onClick: (_) => {
          _.stopPropagation();
        },
        children: m.children ? /* @__PURE__ */ s(
          B,
          {
            position: R.RIGHTBOTTOM,
            version: "v1",
            children: [
              k,
              /* @__PURE__ */ t("div", { slot: b.POPOVER, children: v(m.children) })
            ]
          }
        ) : k
      },
      "tool-item-" + o.name + "-" + L
    );
  });
  return h && (T && "" + T, i && "" + i, v(h)), /* @__PURE__ */ s(
    "span",
    {
      className: `ar-IconTile d-inline-block mx-2${g ? "" : " border"}${d ? " " + d : ""}${i === a.LIST ? " d-flex" : ""}${r ? " selectable" : ""}`,
      onMouseEnter: () => u(!0),
      onMouseLeave: () => u(!1),
      onClick: () => f && f(o),
      children: [
        /* @__PURE__ */ s(
          "div",
          {
            className: `ar-IconTile__image position-relative h-100${i === a.LIST ? " flex-v-center px-1" : " flex-center"}`,
            onClick: () => r ? n(!e) : w(`/icon/${o.group}/${o.name}`, { state: o }),
            children: [
              r && /* @__PURE__ */ t(
                c,
                {
                  classes: "ar-IconTile__select-icon position-absolute",
                  icon: e ? "im/ImCheckboxChecked" : "im/ImCheckboxUnchecked"
                }
              ),
              /* @__PURE__ */ t(
                c,
                {
                  size: S,
                  svgB64String: btoa(o.icon),
                  color: p ? "royalblue" : O === H.LIGHT1 ? "grey" : "white",
                  fillColor: $,
                  strokeColor: P,
                  strokeWidth: N
                }
              )
            ]
          }
        ),
        !C && /* @__PURE__ */ t(
          "footer",
          {
            className: `ar-IconTile__footer fw-bold text-nowrap overflow-hidden flex-center px-2 ${p ? "font-blue btn-link" : "font-black"}${i === a.LIST ? " flex-grow-1" : ""}`,
            onClick: () => {
              const l = `${M}/${o.group}/${o.name}`;
              r ? n(!e) : navigator.clipboard.writeText(l);
            },
            children: o.name
          }
        )
      ]
    }
  );
};
export {
  Er as default
};
