import './assets/style.css';
import { jsx as t, jsxs as e } from "react/jsx-runtime";
import { useState as l, useEffect as f } from "react";
import { h as b, i as v, u as n } from "./UserOptions-bc89a97a.js";
import { ArPlacement as h } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import w from "./LayoutEditor.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import x from "./Wizard.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import { v as s } from "./v4-333bbb31.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
import "./utils/gridHelper.js";
import "./Slot.js";
import "./hooks/useStateWithHistory.js";
const C = ({
  setActiveStage: i,
  setGridSpecs: m,
  gridSpecs: o
}) => /* @__PURE__ */ e("div", { className: "ar-LayoutCreator__row-col-specifier h-100 p-3 overflow-auto", children: [
  /* @__PURE__ */ e("div", { className: "row", children: [
    /* @__PURE__ */ t("div", { className: "col-6 text-center", children: /* @__PURE__ */ t(
      b,
      {
        content: "Start with a 1 x 1 grid and edit later",
        onClick: () => {
          m({ rows: 1, columns: 1 }), i(1);
        }
      }
    ) }),
    /* @__PURE__ */ t("div", { className: "col-6 flex-center", children: /* @__PURE__ */ t(
      v,
      {
        options: [
          { label: "2 x 2" },
          { label: "3 x 3" },
          { label: "4 x 4" },
          { label: "5 x 5" },
          { label: "10 x 10" }
        ],
        label: "Or Select from",
        labelPlacement: h.LEFT,
        onSelectionChanged: (r) => {
          const p = r.value.split(" x ");
          m({ rows: +p[0], columns: +p[1] }), i(1);
        }
      }
    ) })
  ] }),
  /* @__PURE__ */ t("div", { className: "text-center my-5 py-2 border-top border-bottom fw-bold", children: "OR Specify" }),
  /* @__PURE__ */ e("div", { className: "row", children: [
    /* @__PURE__ */ t("div", { className: "col", children: /* @__PURE__ */ t(
      n,
      {
        containerClasses: "mb-3",
        label: "Number of rows",
        type: "number",
        onChange: (r) => {
          m({ ...o || {}, rows: r.target.value });
        },
        value: o == null ? void 0 : o.rows
      }
    ) }),
    /* @__PURE__ */ t("div", { className: "col", children: /* @__PURE__ */ t(
      n,
      {
        label: "Number of columns",
        type: "number",
        onChange: (r) => {
          m({ ...o || {}, columns: r.target.value });
        },
        value: o == null ? void 0 : o.columns
      }
    ) })
  ] })
] }), y = ({
  setActiveStage: i,
  setGridSpecs: m,
  gridSpecs: o,
  demo: r
}) => [
  {
    id: s(),
    title: "Provide rows and columns to start with",
    content: /* @__PURE__ */ t(
      C,
      {
        setActiveStage: i,
        setGridSpecs: m,
        gridSpecs: o
      }
    )
  },
  {
    id: s(),
    title: "Modify & Verify structure",
    content: /* @__PURE__ */ t(w, { gridSpecs: o, demo: r, showControls: !0 })
  }
], Pt = (i) => {
  const { demo: m } = i, [o, r] = l(0), [p, c] = l(), [a, u] = l();
  return f(() => {
    c(y({ setActiveStage: r, setGridSpecs: u, gridSpecs: a, demo: m }));
  }, [a]), p && /* @__PURE__ */ t(
    x,
    {
      stages: p,
      activeStage: o,
      onStageChange: (d) => r(d.index),
      onComplete: () => {
      }
    }
  );
};
export {
  Pt as default
};
