import './assets/style.css';
import { jsx as o, jsxs as n, Fragment as B } from "react/jsx-runtime";
import { useRef as h, useState as b, useEffect as s } from "react";
import { P as L, j as z, h as y } from "./UserOptions-bc89a97a.js";
import { ArButtonVariants as x, ArSizes as _ } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import R from "./hooks/useSlotted.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const I = /* @__PURE__ */ o(
  "div",
  {
    style: {
      height: "60rem",
      width: "60rem",
      backgroundColor: "green",
      color: "white"
    },
    children: "Modal Content"
  }
), Rt = (m) => {
  const {
    body: M,
    closeHandler: t,
    content: d,
    demo: c,
    footer: f,
    header: p,
    isSticky: C,
    primaryButtonLabel: k,
    primaryHandler: w,
    secondaryButtonLabel: v,
    show: r
  } = m, i = h(null), N = h(null), [g, e] = b(), [S, u] = b();
  R("Modal");
  const A = M || c && I;
  return s(() => e(r), [r]), s(() => {
    if (i.current) {
      const a = (l) => {
        ("key" in l ? l.key === "Escape" : l.keyCode === 27) && (e(!1), t && t(m));
      };
      i.current.addEventListener(
        "keydown",
        a
      );
    }
  }, [t]), s(() => {
    r && setTimeout(
      () => i.current && i.current.focus(),
      0
    );
  }, [r]), r ? /* @__PURE__ */ o(
    L,
    {
      classes: `position-fixed top-0 left-0 w-100 h-100 modal-container ${g ? "z-2000" : "invisible"}`,
      demo: c,
      children: /* @__PURE__ */ o(
        "div",
        {
          className: `ar-Modal w-100 h-100${S ? " stubborn-effect" : ""}`,
          ref: i,
          tabIndex: -1,
          onClick: () => {
            C ? (u(!0), setTimeout(() => u(!1), 10)) : (e(!1), t && t(m));
          },
          children: /* @__PURE__ */ o("div", { className: "ar-Modal__backdrop w-100 h-100 flex-center", children: /* @__PURE__ */ n(
            "div",
            {
              ref: N,
              className: "ar-Modal__floating-box border d-flex position-relative",
              tabIndex: -1,
              onClick: (a) => a.stopPropagation(),
              children: [
                /* @__PURE__ */ o(
                  z,
                  {
                    icon: "io5/IoCloseSharp",
                    classes: "ar-Modal__close-btn position-absolute cursor-pointer",
                    onClick: () => {
                      e(!1), t && t(m);
                    }
                  }
                ),
                /* @__PURE__ */ o("div", { className: "ar-Modal__content d-flex flex-1 flex-column", children: d || /* @__PURE__ */ n(B, { children: [
                  p ? typeof p == "string" ? /* @__PURE__ */ o("header", { className: "ar-Modal__header w-100 border-bottom px-3 py-2 fw-bold f4 flex-v-center", children: p }) : /* @__PURE__ */ o("header", { children: p }) : /* @__PURE__ */ o("header", { className: "ar-Modal__header w-100 border-bottom px-3 py-2 fw-bold f4 flex-v-center", children: "Header" }),
                  /* @__PURE__ */ o("main", { className: "ar-Modal__body flex-1 overflow-auto", children: A }),
                  f ? /* @__PURE__ */ o("footer", { className: "z-1", children: f }) : /* @__PURE__ */ n("footer", { className: "ar-Modal__footer w-100 border-top px-3 py-2 z-1 d-flex justify-content-end", children: [
                    /* @__PURE__ */ o(
                      y,
                      {
                        classes: "me-3",
                        variant: x.PRIMARY,
                        size: _.SMALL,
                        content: k || "Submit",
                        onClick: w
                      }
                    ),
                    /* @__PURE__ */ o(
                      y,
                      {
                        variant: x.SECONDARY,
                        size: _.SMALL,
                        content: v || "Cancel",
                        onClick: t || (() => e(!1))
                      }
                    )
                  ] })
                ] }) })
              ]
            }
          ) })
        }
      )
    }
  ) : null;
};
export {
  Rt as default
};
