import './assets/style.css';
import { jsxs as u, jsx as s } from "react/jsx-runtime";
import { useState as l, useEffect as k } from "react";
import { H as P } from "./BubbleChart-eb000812.js";
import { j as A, H as I } from "./UserOptions-bc89a97a.js";
import { ArThemes as L } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import w from "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./_commonjsHelpers-10dfc225.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./hooks/useSlotted.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const Lr = (b) => {
  const {
    data: c,
    demo: g,
    interval: d,
    maxLabelCharLength: i,
    title: f,
    shouldSortX: D,
    theme: v
  } = b, t = w.adaptToProgressiveChart(c, g), [m, x] = l(0), [p, y] = l(!1), [C, O] = l({
    chart: {
      type: "column"
    },
    title: {
      text: f || "Animated Bar Chart"
    },
    xAxis: {
      categories: m !== void 0 ? t[Object.keys(t)[m]].map(
        (r) => "" + r[0]
      ) : [],
      labels: {
        formatter: (r) => {
          const o = r.value;
          return !i || o.length <= i ? o : o.substring(0, i) + "...";
        }
      }
    },
    series: [
      {
        type: "column",
        name: "Data",
        data: m !== void 0 ? t[Object.keys(t)[m]].map(
          (r) => +r[1]
        ) : [],
        dataSorting: {
          enabled: !0
        },
        dataLabels: {
          inside: !0
        }
      }
    ]
  });
  return k(() => {
    let r;
    if (!p) {
      const o = Object.keys(t).length;
      r = setInterval(() => {
        x((h) => {
          const a = (h + 1) % o;
          return a < o ? (O((j) => ({
            ...j,
            xAxis: {
              categories: t[Object.keys(t)[a]].map((e) => "" + e[0]),
              labels: {
                formatter: (e) => {
                  const n = e.value;
                  return !i || n.length <= i ? n : n.substring(0, i) + "...";
                }
              }
            },
            series: [
              {
                type: "column",
                name: "Data",
                data: t[Object.keys(t)[a]].map(
                  (e) => +e[1]
                )
              }
            ]
          })), a) : (clearInterval(r), h);
        });
      }, d || 1e3);
    }
    return () => clearInterval(r);
  }, [c, p, t, i, d]), /* @__PURE__ */ u("div", { className: "ar-ProgressiveBarChart w-100 h-100", children: [
    /* @__PURE__ */ u("div", { className: "border bg mb-3 p-2", children: [
      /* @__PURE__ */ s("strong", { children: Object.keys(t)[m] }),
      /* @__PURE__ */ s("div", { className: "float-end", children: /* @__PURE__ */ s(
        A,
        {
          classes: "cursor-pointer",
          icon: p ? "md.MdPlayCircleOutline" : "md.MdPauseCircleOutline",
          color: v === L.DARK1 ? "white" : "black",
          onClick: () => y(!p)
        }
      ) })
    ] }),
    /* @__PURE__ */ s(I, { highcharts: P, options: C })
  ] });
};
export {
  Lr as default
};
