import './assets/style.css';
import { jsxs as n, Fragment as w, jsx as o } from "react/jsx-runtime";
import { useState as _, useEffect as E } from "react";
import { h as b, j as k } from "./UserOptions-bc89a97a.js";
import { ArWizardNavigationTypes as m, ArButtonVariants as N } from "./types/enums.js";
import "./contexts/slotterContext.js";
import "react-redux";
import "./store.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import "./utils/adapters.js";
import "./transform-df96e507.js";
import "./Resizable.js";
import "./BubbleChart-eb000812.js";
import "react-dnd";
import "react-dom";
import "./Image.component-4ed993c7.js";
import I from "./hooks/useSlotted.js";
import "react-router-dom";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import "./hooks.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./utils/helper.js";
import "./utils/network.js";
import "./_commonjsHelpers-10dfc225.js";
import "./cssClasses.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
import "./utils/recursionHelper.js";
const S = [
  {
    id: "1",
    title: "Stage 1",
    content: /* @__PURE__ */ o("div", { className: "h-100", children: "Stage 1 Content" })
  },
  {
    id: "2",
    title: "Stage 2",
    content: "Stage 2 Content"
  },
  {
    id: "3",
    title: "Stage 3",
    content: "Stage 3 Content"
  }
], W = ({
  context: p,
  disabled: s,
  isLast: c,
  navigationType: l,
  onClick: v
}) => {
  const [e, d] = _();
  return /* @__PURE__ */ o(
    "span",
    {
      className: `${p === "prev" ? "ar-NavButton__previous" : "ar-NavButton__next"} ${s ? "" : `cursor-pointer${e ? " hovered" : ""}`}
      ${l === m.OVERLAYPROMINENT ? ` position-absolute border-radius-50 overflow-hidden p-2 z-1${s ? "" : " hover-low-shadow"}` : ` overflow-hidden py-1 px-3${p === "prev" ? " border-left-radius" : " border-right-radius"}`}${" " + l}`,
      onMouseEnter: () => d(!0),
      onMouseLeave: () => d(!1),
      children: /* @__PURE__ */ o(
        k,
        {
          onClick: () => v(p),
          icon: p === "prev" ? "fa.FaChevronLeft" : c ? "fa.FaCheck" : "fa.FaChevronRight",
          color: s ? "#d1d5db" : c ? "green" : e ? "#9b9b9b" : "#c0c4ca",
          size: l === m.OVERLAYPROMINENT ? "2rem" : "1rem"
        }
      )
    }
  );
}, kr = (p) => {
  const {
    activeStage: s,
    classes: c,
    demo: l,
    hideStatusBar: v,
    navigationType: e = m.STANDARD,
    onComplete: d,
    onCancel: T,
    onStageChange: g,
    stages: R,
    title: f
  } = p, [r, A] = _(), [t, L] = _([]);
  I("Wizard");
  const x = l ? R || S : R;
  E(() => {
    const i = [...x || []];
    i.map((a, u) => a.index = u), L(i);
  }, [x]), E(() => {
    A(s || 0);
  }, [s]);
  const h = (i) => {
    if (t) {
      const a = t[i];
      A(i), g && g(a, t[r || 0]);
    }
  }, D = t == null ? void 0 : t.map((i, a) => {
    const u = (z) => /* @__PURE__ */ n(
      "div",
      {
        className: `ar-Wizard__stage w-100 h-100 overflow-auto top-0 d-flex flex-column${r !== void 0 ? r === a ? " active start-0" : a < r ? " start-n100" : " start-100" : a === 0 ? " start-0" : " start-100"}${z ? " position-relative invisible z-minus-1" : " position-absolute"}${e === m.STANDARD ? " border border-radius l2 overflow-hidden" : ""}`,
        children: [
          e !== m.EXTERNAL && i.title && /* @__PURE__ */ o(
            "header",
            {
              className: `ar-Wizard__stage-header flex-v-center mb-1 border-bottom${i.title ? " has-header" : ""}${e === m.STANDARD ? " bg p-2" : " py-1 pb-2"}`,
              children: /* @__PURE__ */ o("h6", { className: "mb-0", children: i.title })
            }
          ),
          /* @__PURE__ */ o("main", { className: "ar-Wizard__body overflow-hidden flex-1", children: i.content })
        ]
      },
      `ar-Wizard__stage-${i.index}${z ? "-hidden" : ""}`
    );
    return /* @__PURE__ */ n(w, { children: [
      u(),
      u(!0)
    ] });
  }), C = /* @__PURE__ */ o(
    W,
    {
      onClick: () => h((r || 1) - 1),
      context: "prev",
      disabled: r === 0,
      navigationType: e
    }
  ), $ = /* @__PURE__ */ o(
    W,
    {
      onClick: r === (t == null ? void 0 : t.length) - 1 ? d : () => h((r || 0) + 1),
      context: "next",
      isLast: r === (t == null ? void 0 : t.length) - 1,
      navigationType: e
    }
  );
  return /* @__PURE__ */ n(
    "div",
    {
      className: `ar-Wizard w-100 h-100 bg${c ? " " + c : ""}${e === m.STANDARD ? " has-footer" : ""}${e !== m.EXTERNAL ? ` border border-radius l2 overflow-hidden${f ? " has-header" : ""}` : ""}${v ? "" : " show-status-bar"}`,
      children: [
        e !== m.EXTERNAL && f && /* @__PURE__ */ o("header", { className: "ar-Wizard__header flex-v-center px-3 bg border-bottom", children: /* @__PURE__ */ o("h6", { className: "mb-0", children: f }) }),
        /* @__PURE__ */ n(
          "div",
          {
            className: "ar-Wizard__stage-container w-100 p-1 flex-column flex-v-center",
            children: [
              /* @__PURE__ */ n("div", { className: "ar-Wizard__stage-container__stages position-relative overflow-hidden w-100", children: [
                e === m.OVERLAYPROMINENT && /* @__PURE__ */ n(w, { children: [
                  C,
                  $
                ] }),
                e === m.OVERLAY && /* @__PURE__ */ n("span", { className: "position-absolute top-0 end-0 border-radius bg z-1 d-flex hover-low-shadow me-3", children: [
                  C,
                  $
                ] }),
                D
              ] }),
              !v && /* @__PURE__ */ o("div", { className: "ar-Wizard__stage-container__stage-selection-bar flex-center", children: t == null ? void 0 : t.map((i, a) => /* @__PURE__ */ o(
                "div",
                {
                  className: `ar-Wizard__stage-selection-item border mx-05${(r || 0) === a ? " active" : ""}`,
                  onClick: () => h(a)
                },
                `ar-Wizard__stage-selection-bar__bars${i.index}`
              )) })
            ]
          }
        ),
        e === m.STANDARD && /* @__PURE__ */ o("footer", { className: "ar-Wizard__footer px-3 py-2 flex-v-center bg border-top", children: /* @__PURE__ */ n("div", { className: "d-flex justify-content-end w-100", children: [
          /* @__PURE__ */ o(
            b,
            {
              classes: "me-3",
              variant: N.TERTIARY,
              content: "Cancel",
              onClick: T
            }
          ),
          r !== void 0 && r > 0 && /* @__PURE__ */ o(
            b,
            {
              classes: "me-3",
              variant: N.PRIMARY,
              content: "Previous",
              preIcon: "ti.TiChevronLeft",
              onClick: () => h(r - 1)
            }
          ),
          /* @__PURE__ */ o(
            b,
            {
              variant: N.PRIMARY,
              content: r === (t == null ? void 0 : t.length) - 1 ? "Done" : "Next",
              postIcon: r === (t == null ? void 0 : t.length) - 1 ? "fa.FaCheck" : "ti.TiChevronRight",
              onClick: () => r === (t == null ? void 0 : t.length) - 1 ? d && d(t) : h((r || 0) + 1)
            }
          )
        ] }) })
      ]
    }
  );
};
export {
  kr as default
};
