import { v as d } from "../v4-333bbb31.js";
class y {
  static generateGridToolbarSpecs(i, r, t) {
    const l = i.map((e) => [
      e.every((n) => n === e[0]) ? e[0] : "ga-" + d()
    ]), c = i[0].map(
      (e, n) => i.every((s) => s[n] === i[0][n]) ? i[0][n] : "ga-" + d()
    ), a = y.countOccurrences(
      l.map((e) => e[0])
    ).map((e) => ({
      slot: e.slotId,
      gridArea: e.slotId,
      row: e.location,
      column: 0,
      rowSpan: e.span,
      colSpan: 1,
      style: { gridArea: e.slotId }
    })), o = y.countOccurrences(c).map(
      (e) => ({
        slot: e.slotId,
        gridArea: e.slotId,
        row: 0,
        column: e.location,
        rowSpan: 1,
        colSpan: e.span,
        style: { gridArea: e.slotId }
      })
    );
    return {
      rowTools: {
        slots: a,
        gridTemplate: this.generateGridTemplate(
          l,
          r || "minmax(auto, 1fr)",
          t || "1fr"
        )
      },
      colTools: {
        slots: o,
        gridTemplate: this.generateGridTemplate(
          [c],
          "1fr",
          "1fr"
        )
      }
    };
  }
  static generateGridArea(i) {
    let r = [[]];
    return i.forEach((t) => {
      let l = t.row + t.rowSpan, c = t.column + t.colSpan;
      for (let a = t.row; a < l; a++) {
        r[a] || (r[a] = []);
        for (let o = t.column; o < c; o++)
          r[a][o] = t.gridArea;
      }
    }), r;
  }
  static generateGridTemplate(i, r, t) {
    let l = i.map(
      (a, o) => `"${a.join(" ")}" ${Array.isArray(r) ? r[o] : r || "minmax(3rem, 1fr)"}`
    ).join(" ");
    const c = " / " + (Array.isArray(t) ? t.join(" ") : Array.from(
      { length: i[0].length },
      () => t || "1fr"
    ).join(" "));
    return l += c, l.trim();
  }
  static mergeHandler(i, r, t) {
    if (r) {
      r = JSON.parse(JSON.stringify(r));
      const l = r.filter((a) => a.isSelected);
      l.sort((a, o) => a.row !== o.row ? a.row - o.row : a.column - o.column);
      const c = l[0];
      c.rowSpan = t.maxRow - t.minRow + 1, c.colSpan = t.maxColumn - t.minColumn + 1, l.forEach((a) => {
        const o = r.findIndex(
          (n) => n.slot === a.slot
        ), e = r[o];
        e && e.slot !== c.slot && r.splice(o, 1);
      }), r.forEach((a) => a.isSelected = !1), i(r);
    }
  }
  static splitHandler(i, r, t) {
    r = JSON.parse(JSON.stringify(r)), r.filter((c) => c.isSelected).forEach((c) => {
      const {
        row: a,
        slot: o,
        column: e,
        colSpan: n,
        rowSpan: s
      } = c, m = t === "horizontal", p = d(), w = `ga-${p}`;
      let u = c[m ? "rowSpan" : "colSpan"];
      u > 1 && (u = c[m ? "rowSpan" : "colSpan"] - 1, c[m ? "rowSpan" : "colSpan"] = u);
      const I = {
        slot: p,
        row: m ? u + a : a,
        column: m ? e : u + e,
        rowSpan: m ? 1 : s,
        colSpan: m ? n : 1,
        gridArea: w,
        style: { gridArea: w },
        splitFrom: o
      };
      (m ? s === 1 : n === 1) && r.forEach((S) => {
        const {
          row: h,
          column: f,
          slot: A,
          colSpan: x,
          rowSpan: T
        } = S;
        m ? a >= h && a < h + T && A !== o ? S.rowSpan += 1 : h > a && (S.row += 1) : e >= f && e < f + x && A !== o ? S.colSpan += 1 : f > e && (S.column += 1);
      }), r.push(I);
    }), i(r);
  }
  static removeHandler(i, r, t) {
    i = JSON.parse(JSON.stringify(i));
    const l = t === "row", c = l ? r.rowTools.slots : r.colTools.slots;
    return c.filter((o) => o.isSelected).sort((o, e) => l ? o.row - e.row : o.column - e.column).forEach((o) => {
      i.filter(
        (s) => l ? o.row >= s.row && o.row < s.row + s.rowSpan : o.column >= s.column && o.column < s.column + s.colSpan
      ).forEach((s) => {
        if (l ? s.rowSpan <= o.rowSpan : s.colSpan <= o.colSpan) {
          const m = i.indexOf(s);
          m !== -1 && i.splice(m, 1);
        } else
          l ? s.rowSpan -= 1 : s.colSpan -= 1;
      });
      let n = i.filter(
        (s) => l ? s.row > o.row : s.column > o.column
      );
      n.forEach(
        (s) => l ? s.row -= 1 : s.column -= 1
      ), n = c.filter(
        (s) => l ? s.row > o.row : s.column > o.column
      ), n.forEach(
        (s) => l ? s.row -= 1 : s.column -= 1
      ), c.splice(c.indexOf(o), 1);
    }), i;
  }
  static checkIfAdjacent(i) {
    const r = i.filter((n) => n.isSelected);
    let t = 1 / 0, l = -1 / 0, c = 1 / 0, a = -1 / 0, o = 0;
    r.forEach((n) => {
      n.row !== void 0 && n.column !== void 0 && (t = Math.min(t, n.row), l = Math.max(l, n.row + (n.rowSpan - 1)), c = Math.min(c, n.column), a = Math.max(a, n.column + (n.colSpan - 1)), o += n.rowSpan * n.colSpan);
    });
    const e = (l - t + 1) * (a - c + 1);
    return {
      areAdjacent: r.length > 1 && e === o,
      minRow: t,
      maxRow: l,
      minColumn: c,
      maxColumn: a
    };
  }
  static selectCellsInSelectedRowCol(i, r) {
    const t = i.rowTools.slots, l = i.colTools.slots;
    return r.forEach((c) => {
      const { row: a, rowSpan: o, column: e, colSpan: n } = c, s = Array.from(
        { length: o },
        (p, w) => a + w
      ).every((p) => {
        const w = t.find(
          (u) => u.row <= p && p < u.row + u.rowSpan
        );
        return w == null ? void 0 : w.isSelected;
      }), m = l.filter(
        (p) => p.column < e + n && p.column + p.colSpan > e
      ).every((p) => p.isSelected);
      c.isSelected = s || m;
    }), [...r];
  }
  static countOccurrences(i) {
    const r = [];
    for (let t = 0; t < i.length; t++) {
      const l = i[t], c = r.find((a) => a.slotId === l);
      c === void 0 ? r.push({ slotId: l, span: 1, location: t }) : c.span++;
    }
    return r;
  }
  static insertDimension(i, r, t, l) {
    t = JSON.parse(JSON.stringify(t));
    const c = i === "row";
    let a = r[c ? "colTools" : "rowTools"].slots, o = r[c ? "rowTools" : "colTools"].slots, e = [];
    if (a.length > 0) {
      const n = Math.max(...o.map((m) => m.row)), s = Math.max(
        ...o.map((m) => m.column)
      );
      e = a.map((m) => {
        const p = d(), w = `ga-${p}`;
        return {
          slot: p,
          row: c ? n + 1 : m.row,
          column: c ? m.column : s + 1,
          rowSpan: c ? 1 : m.rowSpan,
          colSpan: c ? m.colSpan : 1,
          gridArea: w,
          style: { gridArea: w }
        };
      });
    } else {
      const s = `ga-${d()}`;
      e.push({
        slot: d(),
        row: 0,
        column: 0,
        rowSpan: 1,
        colSpan: 1,
        gridArea: s,
        style: { gridArea: s }
      });
    }
    t = t.concat(e), l(t);
  }
  static generateSlots(i) {
    const r = [], t = /* @__PURE__ */ new Set();
    return i.forEach((l, c) => {
      const a = l.split(" ");
      a.forEach((o, e) => {
        const n = o.trim();
        if (t.has(n))
          return;
        t.add(n);
        const s = i.filter((p) => p.includes(n)).length, m = a.filter((p) => p === n).length;
        r.push({
          slot: n,
          gridArea: n,
          row: c,
          column: e,
          rowSpan: s,
          colSpan: m
        });
      });
    }), r;
  }
  static generateSlotConfigs(i) {
    const r = i.split('"').filter((e) => e).map((e) => e.trim()), t = r.filter((e, n) => n % 2 === 0), l = r.filter((e, n) => n % 2 === 1).map((e) => e.split("/").map((n) => n.trim())), c = this.generateSlots(t), a = [], o = [];
    return l.forEach((e, n) => {
      a.push(e[0]), e[1] && o.push(...e[1].split(" "));
    }), { slotConfigs: c, rowHeights: a, colWidths: o };
  }
}
export {
  y as default
};
